Bug 970647 - unit file depends directly on named.service, but should use nss-lookup.target instead
unit file depends directly on named.service, but should use nss-lookup.target...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 09:48 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2015-02-17 11:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:27:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-06-04 09:48:53 EDT
Description of problem:
/usr/lib/systemd/system/nfs-server.service contains After=named.service. This ties nfs-server unnecessarily to one specific nss lookup implementation. nfs-server should instead contain After=nss-lookup.target, so that the user
can substitute a different nss lookup mechanism. named.service contains Before=nss-lookup.target, so if named.service is enabled, there will be no change.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.8-1.1.fc19.x86_64
bind-9.9.3-0.6.rc2.fc19.x86_64
Comment 1 Fedora End Of Life 2015-01-09 13:19:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:27:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-02-17 11:09:44 EST
At least in F21 After=named.service is gone.

Note You need to log in before you can comment on or make changes to this bug.